<?php

namespace Drupal\entity_value_inheritance\EventSubscriber;

use Drupal\entity_value_inheritance\Services\Helper;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Abstract class.
 */
abstract class EventSubscriberBase implements EventSubscriberInterface {

  /**
   * Helper Service.
   *
   * @var \Drupal\entity_value_inheritance\Services\Helper
   */
  protected Helper $helper;

  /**
   * Constructor.
   */
  public function __construct(Helper $helper) {
    $this->helper = $helper;
  }

}
